Name: api.api
Host: 0.0.0.0
Port: 19999
Timeout: 30000

Auth:
  AccessSecret: "FZpng2gdo1ZrUndoWC7AqjpCVdoXkabi" # the same as core
  AccessExpire: 259200

CORSConf:
  Address: '*'

Log:
  ServiceName: apiApiLogger
  Mode: console
  Path: ./logs/api/api
  Encoding: plain # json or plain
  Level: debug
  Stat: false
  Compress: false
  KeepDays: 7
  StackCoolDownMillis: 100

Prometheus:
  Host: 0.0.0.0
  Port: 4000
  Path: /metrics

CoreRpc:
  NonBlock: true
  Etcd:
    Hosts:
      - 192.168.1.155:2379
    Key: n-admin.core.rpc

RedisConf:
  Addr: 192.168.1.155:6379
  Type: node

Captcha:
  KeyLen: 4
  ImgWidth: 240
  ImgHeight: 80
  Driver: string

# 多语言配置
I18n:
  Default: zh
  RootPath: dal/i18n/locale
  SortedParameterPrefix: p

# Casbin
CasbinConf:
  ModelText: |
    [request_definition]
    r = sub, obj, act
    [policy_definition]
    p = sub, obj, act
    [role_definition]
    g = _, _
    [policy_effect]
    e = some(where (p.eft == allow))
    [matchers]
    m = r.sub == p.sub && keyMatch2(r.obj, p.obj) && r.act == p.act

RegisterConf:
  DefaultPassword: "gvXYlSc8"
  Description: "此用户很懒，什么都没留下。"


